# YouTube Vanced+
YouTube Vanced+ project, inspired from YouTube Vanced original project. Maintained by Cuynu.

## Mirrored at GitLab/GitHub

Total download counts (GitHub) :

[![Download counts](https://img.shields.io/github/downloads/cuynu/ytvanced/total?logo=githubcolor=%233DDC84&logo=android&logoColor=%23fff&style=for-the-badge)](https://gitlab.com/cuynu/ytvanced#download)

Worry about malware,backdoor or keylogger? [See VirusTotal scan results](https://gitlab.com/cuynu/ytvanced/-/wikis/VirusTotal_Hash)

Join us Telegram channel below :

Join unofficial update/news channel </p> <a href="https://telegram.me/ytvancedupdates" ><img src="https://img.shields.io/badge/Telegram-2CA5E0?style=for-the-badge&logo=telegram&logoColor=white"></a> 


# Download 

> **Warning** : Minimum required Android version : 8.0+ for version 17.41.34 and above (6.0 and 7.0 for version [17.34.36](https://gitlab.com/cuynu/ytvanced/-/wikis/17.34.36-(Android-6-and-7)) or older)

> Architecture : arm64-v8a, armeabi-v7a, x86, x86_64 (Universal)

> Theme : Black, Dark and Monet theme, Monet theme only can install on Android 12 and above!

**Vanced MicroG : (Install it only if you install non-root variant)**

[Download Vanced MicroG 0.2.27.231712](https://github.com/cuynu/ytvanced/releases/download/18.01.38/Vanced.microG.0.2.27.231712.apk)

[Download Vanced MicroG 0.2.27.231612](https://github.com/cuynu/ytvanced/releases/download/18.01.38/Vanced.microG.0.2.27.231612.apk)

**YouTube Vanced+ non-root variant** : 

Stable version is : 18.02.33 [(Changelogs)](https://gitlab.com/cuynu/ytvanced/-/tags/18.02.33)

**Video playback freeze or buffering?, see [video playback buffer fix solution and troubleshoots](https://gitlab.com/cuynu/ytvanced#troubleshoot).**

[Download YouTube Vanced+ version 18.21.34 Black](https://gitlab.com/cuynu/ytvanced/-/raw/master/prebulit_apks/18.21.34/YouTube.Vanced+.v18.21.34_Black_Universal.apk)

[Download YouTube Vanced Unofficial version 18.02.33 Black hotfix](https://github.com/cuynu/ytvanced/releases/download/18.02.33/YouTube.Vanced.v18.02.33_Black_Universal_hotfix.apk)

[Download YouTube Vanced Unofficial version 18.02.33 Dark hotfix](https://github.com/cuynu/ytvanced/releases/download/18.02.33/YouTube.Vanced.v18.02.33_Dark_Universal_hotfix.apk)

[Download YouTube Vanced Unofficial version 18.02.33 Monet theme hotfix (Android 12+ only)](https://github.com/cuynu/ytvanced/releases/download/18.02.33/YouTube.Vanced.v18.02.33_Monet_Universal_hotfix.apk)

[Download YouTube Vanced Unofficial version 18.01.38 Black](https://github.com/cuynu/ytvanced/releases/download/18.01.38/YouTube.Vanced.v18.01.38_Black_Universal.apk)

[Download YouTube Vanced Unofficial version 18.01.38 Dark](https://github.com/cuynu/ytvanced/releases/download/18.01.38/YouTube.Vanced.v18.01.38_Dark_Universal.apk)

[Download YouTube Vanced Unofficial version 18.01.38 Monet theme (Android 12+ only)](https://github.com/cuynu/ytvanced/releases/download/18.01.38/YouTube.Vanced.v18.01.38_Monet_Universal.apk)

[Download YouTube Vanced Unofficial version 17.34.36 (for Android 6 & 7)](https://github.com/cuynu/ytvanced/wiki/17.34.36-(Android-6-and-7))

[Download YouTube Vanced for Android car screen](https://gitlab.com/cuynu/ytvanced#for-android-car-screen-not-android-auto)

**YouTube Vanced+ root variant [Magisk Module]**

> **Tips**: If module script not working, try extract the base.apk or youtube.apk from the zip and install it manually, then try again.

Notice : Root variant does not have buffering issue, so use 18.01.38 is highly recommend!

[Download Magisk Module YouTube Vanced 18.01.38 Black](https://github.com/cuynu/ytvanced/releases/download/18.01.38/YouTube.Vanced.v18.01.38_Black_MagiskModule.zip)

[Download Magisk Module YouTube Vanced 18.01.38 Dark](https://github.com/cuynu/ytvanced/releases/download/18.01.38/YouTube.Vanced.v18.01.38_Dark_MagiskModule.zip)

[Download Magisk Module YouTube Vanced 18.01.38 Monet (Android 12+ only)](https://github.com/cuynu/ytvanced/releases/download/18.01.38/YouTube.Vanced.v18.01.38_Monet_MagiskModule.zip)

**YouTube Music Vanced+ non-root variant:**

[Download YouTube Music Vanced Unofficial version 5.39.52](https://github.com/cuynu/ytvanced/releases/download/5.39.52/YouTube.Music.Vanced.v5.39.52_Universal.apk)

[Download YouTube Music Vanced Unofficial version 5.39.52 (Only armeabi-v7a,arm64-v8a)](https://github.com/cuynu/ytvanced/releases/download/5.39.52/YouTube.Music.Vanced.v5.39.52_2arch.apk)

**YouTube Music Vanced+ root variant [Magisk Module]:**

[Download YouTube Music Vanced Unofficial version 5.39.52 Magisk Module (arm64-v8a)](https://github.com/cuynu/ytvanced/releases/download/5.39.52/YTM.Vanced.v5.39.52_arm64-v8a_MagiskModule.zip)

[Download YouTube Music Vanced Unofficial version 5.39.52 Magisk Module (armeabi-v7a)](https://github.com/cuynu/ytvanced/releases/download/5.39.52/YTM.Vanced.v5.39.52_armeabi-v7a_MagiskModule.zip)

[Download older version of YouTube Music Vanced](https://github.com/cuynu/ytvanced#youtube-vanced-oldoutdated-version)

____________________________________________________

## Old/outdated version:

> **Warning**: Older/outdated version may have bugs or unexpected behavior, use it as your own risk!

[Download older version of YouTube Vanced in wiki page](https://gitlab.com/cuynu/ytvanced/-/wikis/old)

[Download older version of YouTube Music Vanced in wiki page](https://gitlab.com/cuynu/ytvanced/-/wikis/old#youtube-music-vanced)

[Download older verson of Vanced MicroG](https://gitlab.com/cuynu/ytvanced/-/wikis/MicroG)
____________________________________________________

## For Android Car screen (Not Android Auto) 

Use 17.34.36 for Android Car device that run Android 6 & 7.

DO NOT INSTALL ON REGULAR ANDROID DEVICE.

[Download YouTube Vanced 18.02.33 for Android Car screen](https://github.com/cuynu/ytvanced/releases/download/18.02.33/YouTube.Vanced.AndroidCarOled.v18.02.33.apk)

[Download YouTube Vanced 18.01.38 for Android Car screen](https://github.com/cuynu/ytvanced/releases/download/18.01.38/YouTube.Vanced.AndroidCarOled.v18.01.38.apk)

[Download YouTube Vanced 17.34.36 for Android Car screen](https://github.com/cuynu/ytvanced/releases/download/17.34.36/YouTube.Vanced.v17.34.36.AndroidCarOled.apk)
____________________________________________________

## Installation Guide

If you not rooted :
(Most device are not rooted by default)

- Download Vanced microG (Latest version) and YouTube Vanced+ or YouTube Music Vanced+ non-root variant latest version from above or releases
- Install as normal Android package file (APK)
- (Some device will prevent you open Vanced+, so you need to enable auto start for YouTube Vanced+ & Vanced microG.)

If you're rooted :
- Download Magisk Module variant from above or releases
- Install on Magisk Manager 
- Disable updates for original YouTube on Play Store.
- If after install its still is original YouTube, reinstall module then restart your device
- If YouTube not shown on app drawer, install base.apk from Magisk Module zip, and try install module again.



### Troubleshoot 

> If these solution isn't fix your problem, please create issues [here.](https://gitlab.com/cuynu/ytvanced/issues)

**Video playback not working (buffer issue)**

For 18.02.33 hotfix :
- Enable `spoof protobuf` option on Vanced settings -> Video (If `protobuf spoof` option is enabled by default, re-enable `spoof protobuf` option. Buffering problem should fix.

For older version :
- Enable `Fix video playback buffer issue` option on YouTube Settings -> Vanced Settings -> Extended Settings and try again, if not works, install 18.02.33 hotfix version.

**No internet connection:**
- Remove your account from Vanced MicroG (If have and try again)
- Wipe Vanced MicroG & YouTube Vanced+ & YouTube Music Vanced+ app data and cache
- Enable auto start for Vanced MicroG if you use heavy customized Android version such as  MIUI,OneUI,FlymeOS,HarmonyOS,etc
- For Tecno user : Find and open Phone Master app, go to auto start manager, allow Vanced microG and YouTube Vanced+ auto start.

**App not installed :**
- Free up some storage space and try again
- Uninstall official YouTube Vanced client downloaded from Vanced Manager or other unknown sources then try again. Reason : Mismatch signature.
- Make sure you have downloaded Universal version of YouTube Vanced+/YouTube Music Vanced+.
- Check out if old Vanced still installed in multiple user & virtual space mode

**Crash when opening & MicroG does not run in background :**
- Install or reinstall Vanced MicroG 
- Turn off battery optimization for Vanced MicroG
- Allow Vanced MicroG run on background or auto start (on heavy customized OS : MIUI,OneUI,FlymeOS,HarmonyOS,etc)
- For Tecno user : Find and open Phone Master app, go to auto start manager, allow Vanced microG and YouTube Vanced+ auto start.
- Wipe app data and cache
- Reinstall YouTube Vanced+ client

**Not responding when watch videos :**

- If you got YouTube Vanced+ not responding when watch a videos, that's because Return YouTube Dislike trying to get the dislikes from the API, but due to poor network conditions, RYD unable to get the metrics, resulting in unresponsive YouTube. Turn off RYD in settings if you often have unstable network connection.

**Not responding when not watch any videos :**

- Check your device and make sure the official latest version of YouTube still run well on your device, Older devices will often have this problem because the hardware is too old.

**There was a problem parsing the package:**
- Check your Android version, Make sure your current Android version meet minimum required Android version.
- Redownload APK file.

### Installation for MIUI

If you can't install YouTube Vanced+ in MIUI, try turn off MIUI Optimization in Developer options then try install again.


# Credits :

[Team Vanced](https://github.com/TeamVanced) : Old YouTube Vanced official which is closed source

[inotia00](https://github.com/inotia00) : Provide ReVanced Extended patch used to patch Unofficial YouTube Vanced builds (17.41.34-18.02.33)

[ReVanced Team](https://github.com/revanced) : ReVanced Team which develop ReVanced patches from scratch.



### [Go back to the top of the page](https://gitlab.com/cuynu/ytvanced#youtube-vanced)
